camel-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From davscl...@apache.org
Subject [24/24] camel git commit: require java 8 for testing
Date Thu, 23 Jul 2015 12:58:26 GMT
require java 8 for testing


Project: http://git-wip-us.apache.org/repos/asf/camel/repo
Commit: http://git-wip-us.apache.org/repos/asf/camel/commit/5b63cf5a
Tree: http://git-wip-us.apache.org/repos/asf/camel/tree/5b63cf5a
Diff: http://git-wip-us.apache.org/repos/asf/camel/diff/5b63cf5a

Branch: refs/heads/master
Commit: 5b63cf5a3d4098fc9afa3cd1295d5b845f660dd4
Parents: 2417f34
Author: Claus Ibsen <davsclaus@apache.org>
Authored: Thu Jul 23 14:56:52 2015 +0200
Committer: Claus Ibsen <davsclaus@apache.org>
Committed: Thu Jul 23 15:04:36 2015 +0200

----------------------------------------------------------------------
 .../java/org/apache/camel/itest/karaf/CamelVertxTest.java   | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/camel/blob/5b63cf5a/tests/camel-itest-karaf/src/test/java/org/apache/camel/itest/karaf/CamelVertxTest.java
----------------------------------------------------------------------
diff --git a/tests/camel-itest-karaf/src/test/java/org/apache/camel/itest/karaf/CamelVertxTest.java
b/tests/camel-itest-karaf/src/test/java/org/apache/camel/itest/karaf/CamelVertxTest.java
index 875697b..72dd6ba 100644
--- a/tests/camel-itest-karaf/src/test/java/org/apache/camel/itest/karaf/CamelVertxTest.java
+++ b/tests/camel-itest-karaf/src/test/java/org/apache/camel/itest/karaf/CamelVertxTest.java
@@ -22,8 +22,6 @@ import org.ops4j.pax.exam.Configuration;
 import org.ops4j.pax.exam.Option;
 import org.ops4j.pax.exam.junit.PaxExam;
 
-import static org.junit.Assume.assumeTrue;
-
 @RunWith(PaxExam.class)
 public class CamelVertxTest extends AbstractFeatureTest {
 
@@ -31,10 +29,11 @@ public class CamelVertxTest extends AbstractFeatureTest {
 
     @Test
     public void test() throws Exception {
-//        Vert.x can be deployed only to Java 7 JVM
+        // vertx requires Java 1.8
         String javaVersion = System.getProperty("java.version");
-        assumeTrue(javaVersion.startsWith("1.7"));
-        testComponent(COMPONENT);
+        if (javaVersion.startsWith("1.8")) {
+            testComponent(COMPONENT);
+        }
     }
 
     @Configuration


Mime
View raw message